#! /usr/bin/perl -w

# Seq_Crop.pl - extract a subsequence example program.

use strict;

use Bio::Perl;

use constant AMINO_COUNT =>  92;

while ( my $ID = <> )
{
    chomp( $ID );

    print "Processing sequence: $ID.\n";

    my $Org_Seq = read_sequence( "./seqs/$ID.swp", 'swiss' );

    my $Protein_Code = $Org_Seq->subseq( 1, AMINO_COUNT );

    my $Cropped_Seq = new_sequence( $Protein_Code, "$ID\_CROPPED", $ID );

    write_sequence( ">>MerAs_cropped.swp", 'swiss', $Cropped_Seq );	
}	
